
=encoding utf8

=head1 NAME

Sidef::Types::Glob::FileHandle

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = FileHandle(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Object::Object

=head1 METHODS

=head2 «

    a « b

Returns the

Aliases: I<E<lt>E<lt>>, I<write_from>

=cut

=head2 »

    a » b

Returns the

Aliases: I<E<gt>E<gt>>, I<read_to>

=cut

=head2 autoflush

    FileHandle.autoflush()

Returns the

=cut

=head2 binmode

    FileHandle.binmode()

Returns the

=cut

=head2 call

    FileHandle.call()

Returns the

=cut

=head2 char

    FileHandle.char()

Returns the

Aliases: I<getc>, I<read_char>

=cut

=head2 chars

    FileHandle.chars()

Returns the

=cut

=head2 close

    FileHandle.close()

Returns the

=cut

=head2 cp

    FileHandle.cp()

Returns the

Aliases: I<copy>

=cut

=head2 each

    FileHandle.each()

Returns the

Aliases: I<each_line>

=cut

=head2 each_char

    FileHandle.each_char()

Returns the

=cut

=head2 eof

    FileHandle.eof()

Returns the

=cut

=head2 fcntl

    FileHandle.fcntl()

Returns the

=cut

=head2 file

    FileHandle.file()

Returns the

Aliases: I<parent>

=cut

=head2 fileno

    FileHandle.fileno()

Returns the

=cut

=head2 flock

    FileHandle.flock()

Returns the

=cut

=head2 get

    FileHandle.get()

Returns the

Aliases: I<line>, I<readln>, I<read_line>, I<readline>

=cut

=head2 grep

    FileHandle.grep()

Returns the

Aliases: I<select>

=cut

=head2 isatty

    FileHandle.isatty()

Returns the

Aliases: I<is_on_tty>

=cut

=head2 iter

    FileHandle.iter()

Returns the

=cut

=head2 lines

    FileHandle.lines()

Returns the

Aliases: I<read_lines>, I<readlines>

=cut

=head2 lock

    FileHandle.lock()

Returns the

=cut

=head2 lstat

    FileHandle.lstat()

Returns the

=cut

=head2 map

    FileHandle.map()

Returns the

Aliases: I<collect>

=cut

=head2 print

    FileHandle.print()

Returns the

Aliases: I<spurt>, I<write>

=cut

=head2 printf

    FileHandle.printf()

Returns the

=cut

=head2 read

    FileHandle.read()

Returns the

=cut

=head2 say

    FileHandle.say()

Returns the

Aliases: I<println>

=cut

=head2 seek

    FileHandle.seek()

Returns the

=cut

=head2 slurp

    FileHandle.slurp()

Returns the

=cut

=head2 stat

    FileHandle.stat()

Returns the

=cut

=head2 stderr

    FileHandle.stderr()

Returns the

=cut

=head2 stdin

    FileHandle.stdin()

Returns the

=cut

=head2 stdout

    FileHandle.stdout()

Returns the

=cut

=head2 sysread

    FileHandle.sysread()

Returns the

=cut

=head2 sysseek

    FileHandle.sysseek()

Returns the

=cut

=head2 syswrite

    FileHandle.syswrite()

Returns the

=cut

=head2 tell

    FileHandle.tell()

Returns the

=cut

=head2 truncate

    FileHandle.truncate()

Returns the

=cut

=head2 unlock

    FileHandle.unlock()

Returns the

=cut

=head2 words

    FileHandle.words()

Returns the

=cut
